package com.cool.bang.modules.business.mapper;

import com.cool.bang.common.base.BaseMapper;
import com.cool.bang.modules.business.domain.DataCollection;
import com.cool.bang.modules.business.domain.DataCount;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* 数据集合
*
* @author PeiZhi Guo
* 2024-10-31 17:05
*/
@Repository
public interface DataCollectionMapper extends BaseMapper<DataCollection> {
    int queryDataYear(String yearMonth,Long corpId,Integer district);

    int queryIsEnd(String yearMonth,Integer district);

    DataCount queryByDataView(String yearMonth,Integer district);

    List<DataCount> queryByDataCount();

    int updateEnd(String yearMonth,Integer district);

    int addIsEnd(String yearMonth,Integer district);

    List<DataCount> selectDataCountList(DataCount param);
}


